      SUBROUTINE INIARR
C! Initialise arrays
      INCLUDE 'params.h'
      INCLUDE 'tables.h'
C
      NPROC = 0
      NCOMM = 0
      DO 5 IP=1,MAXPRO
         PROCED_DONE(IP) = .FALSE.
         PROCED_EXTERN(IP) = .FALSE.
         PROCED_LEVEL(IP) = 0
         DO 6 IC=1,MAXCOM
            COMMON_USED(IP,IC) = ' '
   6  CONTINUE
   5  CONTINUE
      END
